Bug 207631 - readahead has no debuginfo
readahead has no debuginfo
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 22:28 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 05:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-09-21 22:28:56 EDT
The readahead package (1.3-2) produces no debuginfo when I build it, and yet it
contains ELF binaries.  Which is rather mysterious.
Comment 1 Karel Zak 2006-09-22 03:46:47 EDT
Hmm.. you're right. I have no clue why rpm doesn't call find-debuginfo.sh... ;-(
Comment 2 Karel Zak 2006-09-22 04:41:55 EDT
If I directly call the "%debug_package" macro from my spec file it works as
expected. So the %install macro is probably bad.

The readahead doesn't use any subdirectory for sources (there is not tarball,
all code is directly in the sourcedir).

Comment 3 Paul Nasrat 2006-09-22 05:04:15 EDT
Your not calling %setup so the buildsubdir isn't set.  Really the sources should
be in a released tar ball not just in CVS work around by 

%prep 
%setup -T -c

Comment 4 Paul Nasrat 2006-09-22 05:16:41 EDT
I suggest you also copy %{SOURCE0} to pwd after setup and compile it there so
debuginfo can find the source.
Comment 5 Karel Zak 2006-09-22 18:18:37 EDT
Fixed. I've created tarball -- it's probably the best solution which avoids all
current and future problems. 

Note You need to log in before you can comment on or make changes to this bug.